Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have got a puppetmaster and a mix of CentOs 5.4 and Lenny 5.0.3 clients.

The CentOs have puppet-0.25.5-1.el5 installed and are working fine to retrieve files.

The Debian boxes have the 0.24.5-3 puppet from the repos, and are failing with the following errors;

notice: Starting catalog run
debug: Loaded state in 0.00 seconds
debug: Prefetching apt resources for package
debug: Executing '/usr/bin/dpkg-query -W --showformat '${Status} ${Package} ${Version}\n''
debug: Puppet::Type::Package::ProviderApt: Executing '/usr/bin/dpkg-query -W --showformat '${Status} ${Package} ${Version}\n''
debug: //puppet/Service[puppet]/require: requires Package[puppet]
debug: Calling fileserver.describe
err: //Node[default]/File[/etc/puppet/puppet.conf]: Failed to retrieve current state of resource: Mounts without paths are not usable Could not describe /modules/bpcommon/basenode/etc/puppet/puppet.conf: Mounts without paths are not usable at /etc/puppet/manifests/nodes.pp:33

The file definitely exists on the fileserver, and is being retrieved and installed by the centos clients.

I am guessing that the earlier version of puppet requires further configuration to work with the file server.

(i have also tested this with a dummy file, test.txt which also fails with the same error, so it does not seem to be related to the fact I am trying to bootstrap /etc/puppet/puppet.conf)

share|improve this question

1 Answer 1

puppet 0.24.5 doesn't support the puppet://modules/modulename/some.file.txt format of specifying the source attribute

this;

source => "puppet://modulename/some.file.txt"

works though.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.